aboutsummaryrefslogtreecommitdiffstats
path: root/main/ctags/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-12-01 14:57:30 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-12-01 14:58:21 +0000
commit7a7e5e040657529858285d6e9605056c71a70a81 (patch)
treef18536e44b025028b4f0116e0d2b059a17ff1e65 /main/ctags/APKBUILD
parentae31d1d06a372c526c1a1c5af0eb9e6c95ede893 (diff)
downloadaports-7a7e5e040657529858285d6e9605056c71a70a81.tar.gz
aports-7a7e5e040657529858285d6e9605056c71a70a81.tar.bz2
aports-7a7e5e040657529858285d6e9605056c71a70a81.tar.xz
main/ctags: fix install location
also fix format string error ref #2446
Diffstat (limited to 'main/ctags/APKBUILD')
-rw-r--r--main/ctags/APKBUILD23
1 files changed, 16 insertions, 7 deletions
diff --git a/main/ctags/APKBUILD b/main/ctags/APKBUILD
index b3d6fd18a9..3228af447b 100644
--- a/main/ctags/APKBUILD
+++ b/main/ctags/APKBUILD
@@ -2,7 +2,7 @@
# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
pkgname=ctags
pkgver=5.8
-pkgrel=3
+pkgrel=4
pkgdesc="Generator of tags for all types of C/C++ languages"
url="http://ctags.sourceforge.net/"
arch="all"
@@ -11,11 +11,17 @@ depends=""
makedepends=""
install=""
subpackages="$pkgname-doc"
-source="http://prdownloads.sourceforge.net/ctags/$pkgname-$pkgver.tar.gz"
+source="http://prdownloads.sourceforge.net/ctags/$pkgname-$pkgver.tar.gz
+ error-format.patch"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
update_config_sub || return 1
}
@@ -34,14 +40,17 @@ build() {
package() {
cd "$_builddir"
- mkdir -p "$pkgdir"
+ mkdir -p "$pkgdir"/usr/bin
make -j1 \
- DEST_CTAGS="$pkgdir" \
+ DEST_CTAGS="$pkgdir"/usr/bin \
mandir="$pkgdir"/usr/share/man \
install || return 1
rm -f "$pkgdir"/usr/lib/*.la
}
-md5sums="c00f82ecdcc357434731913e5b48630d ctags-5.8.tar.gz"
-sha256sums="0e44b45dcabe969e0bbbb11e30c246f81abe5d32012db37395eb57d66e9e99c7 ctags-5.8.tar.gz"
-sha512sums="981912cd335978cde22864e977947fc75326572fb29518e559cc4a8ac1edc84b3604165218a666e36353f17da4f89f8e967acdb88696f816748eb946d79eaa15 ctags-5.8.tar.gz"
+md5sums="c00f82ecdcc357434731913e5b48630d ctags-5.8.tar.gz
+f0b35e99098aba05128c12859fa44e9e error-format.patch"
+sha256sums="0e44b45dcabe969e0bbbb11e30c246f81abe5d32012db37395eb57d66e9e99c7 ctags-5.8.tar.gz
+30339f93cdf0da56fe746703330332d0f345a677c38025c4be6d56d56b82414c error-format.patch"
+sha512sums="981912cd335978cde22864e977947fc75326572fb29518e559cc4a8ac1edc84b3604165218a666e36353f17da4f89f8e967acdb88696f816748eb946d79eaa15 ctags-5.8.tar.gz
+bc861fa7fe401e5f5845c39d8ec714268898fafcd76afa54bebfc7965d4ef66e227e7bab80733c8f95a79a131b05fbdd4024d05139f2f9bd67914ff4c9e0e9b9 error-format.patch"